# List of shipping methods

Endpoint returns a list of all available shipping methods and details of
their settings. Does not use paging,

it always returns all methods at once.

Endpoint: GET /api/shipping-methods
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `salesChannelGuid` (string)
    Sales channel GUID. Optional parameter, if not provided, all shipping methods will be returned.
    Example: "0199bdfd-0979-71fb-85ce-e483c61d391b"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.shippingMethods` (array, required)

  - `data.shippingMethods.guid` (string, required)
    Unique identifier of the shipping method

  - `data.shippingMethods.name` (string, required)
    name of shipping method, as can be seen in e-shop.

  - `data.shippingMethods.description` (string,null, required)
    additional information about the shipping method. (can be null)

  - `data.shippingMethods.shippingCompany` (object,null, required)
    Shipping company

  - `data.shippingMethods.shippingCompany.id` (integer, required)
    shipping method ID.

  - `data.shippingMethods.shippingCompany.code` (string, required)
    shipping company identifier.

  - `data.shippingMethods.shippingCompany.name` (string, required)
    shipping company name.

  - `data.shippingMethods.trackingUrl` (string,null, required)
    package trace link pattern

  - `data.shippingMethods.visible` (boolean, required)
    Is the shipping method visible?

  - `data.shippingMethods.priority` (integer,null, required)
    sequence within the list

  - `data.shippingMethods.wholesale` (boolean, required)
    Is the shipping method available for wholesale customers?

  - `data.shippingMethods.logoUrl` (string,null, required)
    URL of the shipping company logo

  - `data.wholesaleActive` (boolean, required)
    flag, whether the wholesale shipping methods are permitted

  - `data.wholesaleSplitActive` (boolean, required)
    flag, whether the wholesale payment methods split is enabled. True if wholesale payment methods are permitted and split is active, otherwise false

  - `data.defaultRetailMethod` (string,null, required)
    Default shipping method for retail sale

  - `data.defaultWholesaleMethod` (string,null, required)
    Default shipping method for wholesale

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

## Response 422 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)


